<!-- Copyright (c) Vincent Dardel, <vindarez@mailz.org>,  Abelujo Developers-->
<!-- See the COPYRIGHT file at the top-level directory of this distribution-->
<!-- Abelujo is free software: you can redistribute it and/or modify-->
<!-- it under the terms of the GNU Affero General Public License as published by-->
<!-- the Free Software Foundation, either version 3 of the License, or-->
<!-- (at your option) any later version.-->
<!-- Abelujo is distributed in the hope that it will be useful,-->
<!-- but WITHOUT ANY WARRANTY; without even the implied warranty of-->
<!-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the-->
<!-- GNU Affero General Public License for more details.-->
<!-- You should have received a copy of the GNU Affero General Public License-->
<!-- along with Abelujo.  If not, see <http://www.gnu.org/licenses/>.-->

{% extends "base.html" %}
{% block content %}

{% load i18n %}
{% load bootstrap3 %}
{% bootstrap_css %}
{% bootstrap_javascript %}

<h1>
  {% trans "Rotation" %}
</h1>

<table class="table table-condensed">
  <tbody>
    <tr>
      <td>
        <h4> Rotation nouveau stock </h4>
      </td>
      <td>
        <h4>{{ stats.new_stock_rotation }} ({{ stats.new_stock_rotation_days }} jours) </h4>
      </td>
    </tr>
    <tr>
      <td>
        <h4> Rotation vieux stock </h4>
      </td>
      <td>
        <h4>{{ stats.old_stock_rotation }} ({{ stats.old_stock_rotation_days }} jours) </h4>
      </td>
    </tr>
  </tbody>
</table>


<h2>
  {% trans "Ventilation des rayons" %}
</h2>

<!-- {% trans "last year" %} -->


<table class="table table-condensed">
  <thead>
    <tr>
      <th> {% trans "Shelf" %} </th>
      <th> {% trans "Cost" %} (% {% trans "total" %}) </th>
      <th> {% trans "Sells" %} </th>
      <th> {% trans "Nb of titles/copies" %} </th>
      <th> {% trans "Rotation" %} </th>
      <th> {% trans "Rotation" %} ({% trans "days" %}) </th>
    </tr>
  </thead>

  <tbody>

    {% for ventilation in stats.shelves_ventilation %}

    <tr>
      <td>
        <h4>{{ ventilation.shelf.name }} </h4>
      </td>
      <td>
        {{ ventilation.value }}
        <!-- todo: -->
        <!-- ({{ ventilation.percent_value }}) -->
      </td>
      <td>
        {{ ventilation.total_sells }}
      </td>
      <td>
        {{ ventilation.cards_qty }} / {{ ventilation.copies_qty }}
      </td>
      <td>
        <h4>
          {{ ventilation.rotation }}
        </h4>
      </td>
      <td>
        <h4>
         {{ ventilation.rotation_days }}
        </h4>
      </td>
    </tr>

    {% endfor %}

  </tbody>
</table>
{% endblock content %}
